=== debian/changelog ===
libfm-qt (0.10.0+20151214-2) unstable; urgency=medium

  [ Alf Gaida ]
  * Dropped debug package, using the new -dbgsym
  * Added initial arch-bits 32/64 in symbols

  [ ChangZhuo Chen (陳昌倬) ]
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 Feb 2016 15:37:40 +0800

libfm-qt (0.10.0+20151214-1) unstable; urgency=medium

  [ Alf Gaida ]
  * forked pcmanfm-qt debian/$foo 
  * Imported upstream version 0.10.0+20151214.
  * Initial release (Closes: #808192)

  [ ChangZhuo Chen (陳昌倬) ]
  * Add Breaks for old library name libfm-qt5-2.

 -- Alf Gaida <agaida@siduction.org>  Thu, 05 Nov 2015 00:28:39 +0100
