=== debian/changelog ===
libfm-qt (0.11.0-2build1) yakkety; urgency=medium

  * Rebuild against Qt 5.6. (uses private Qt ABI)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Aug 2016 10:59:58 +0300

libfm-qt (0.11.0-2) unstable; urgency=medium

  * Merged changes into unstable
  * Added five new symbols, leave the rest untouched
  * Removed not needed build dependency liblxqt0-dev
  * Removed not needed patches (libfm-qt contains no desktop files,
    so the desktop translation must not be patched)
  * Fixed VCS-* fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 31 Mar 2016 21:38:41 +0200

libfm-qt (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump soversion to 3.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Mar 2016 15:51:15 +0800

libfm-qt (0.10.0+20151214-3) unstable; urgency=medium

  * Add hardening=+all
  * Bump Standards to 3.9.7
  * Fix LXQtTranlateDesktop - just in case
  * Fix year in copyrights
  * fix grep usage in cmake/LXQtTranslateDesktop.cmake - just in case

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 22:16:17 +0100
