=== debian/control ===
--- 
+++ 
@@ -6,26 +6,30 @@
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake (>= 3.0.2),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
+               cmake (>= 3.0.2),
                libfm-dev (>= 1.2.0),
                libglib2.0-dev,
-               liblxqt0-dev (>= 0.10.0),
                libmenu-cache-dev,
                libqt5x11extras5-dev,
                libqt5xdg-dev (>= 1.3.0),
                libx11-dev,
                pkg-config,
+               qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt
-Vcs-Git: https://anonscm.debian.org/pkg-lxqt/libfm-qt.git -b debian/sid
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git -b debian/sid
 Homepage: https://github.com/lxde/libfm-qt
 
-Package: libfm-qt2
-Replaces: libfm-qt5-2
-Breaks: libfm-qt5-2
+Package: libfm-qt3
+Provides: libfm-qt
+Conflicts: libfm-qt
+Replaces: libfm-qt5-2,
+          libfm-qt2
+Breaks: libfm-qt5-2,
+        libfm-qt2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -44,7 +48,9 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libfm-qt2 (= ${binary:Version})
+         libfm-qt3 (= ${binary:Version})
 Description: file management support library for pcmanfm-qt (development files)
+ Libfm-Qt is a companion library providing components to build desktop file
+ managers.
+ .
  This package contains development files for helper library libfm-qt.
