=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,3 @@
-set(libfm_TRANSLATION_TEMPLATE ${PROJECT_NAME})
-
-include_directories(
-    "${LIBFM_INCLUDE_DIRS}"
-    "${LIBFM_INCLUDEDIR}/libfm" # to workaround incorrect #include in fm-actions.
-    "${LIBMENUCACHE_INCLUDE_DIRS}"
-    "${SYSTEM_LIBS_INCLUDE_DIRS}"
-)
-
-link_directories(
-    "${LIBFM_LIBRARY_DIRS}"
-    "${LIBMENUCACHE_LIBRARY_DIRS}"
-    "${SYSTEM_LIBS_LIBRARY_DIRS}"
-)
-
 set(libfm_SRCS
     libfmqt.cpp
     bookmarkaction.cpp
@@ -44,6 +29,7 @@
     fileoperationdialog.cpp
     renamedialog.cpp
     pathedit.cpp
+    pathbar.cpp
     colorbutton.cpp
     fontbutton.cpp
     browsehistory.cpp
@@ -51,7 +37,6 @@
     dndactionmenu.cpp
     editbookmarksdialog.cpp
     thumbnailloader.cpp
-    path.cpp
     execfiledialog.cpp
     appchoosercombobox.cpp
     appmenuview.cpp
@@ -74,11 +59,19 @@
 
 qt5_wrap_ui(libfm_UIS_H ${libfm_UIS})
 
+
+set(LIBFM_QT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt")
+set(LIBFM_QT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")
+
 # add translation for libfm-qt
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${libfm_SRCS} ${libfm_UIS}
-    TEMPLATE ${libfm_TRANSLATION_TEMPLATE}
+    INSTALL_DIR "${LIBFM_QT_DATA_DIR}/translations"
+    PULL_TRANSLATIONS ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC ${TRANSLATIONS_REFSPEC}
 )
 
 add_library(${LIBFM_QT_LIBRARY_NAME} SHARED
@@ -87,15 +80,9 @@
     ${QM_FILES}
 )
 
-set_property(
-    TARGET ${LIBFM_QT_LIBRARY_NAME} APPEND
-    PROPERTY COMPILE_DEFINITIONS
-    LIBFM_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt"
-)
-
 # only turn on custom actions support if it is enabled in libfm.
-if(EXISTS "${LIBFM_INCLUDEDIR}/libfm/fm-actions.h")
-    set_property(TARGET ${LIBFM_QT_LIBRARY_NAME} APPEND PROPERTY COMPILE_DEFINITIONS CUSTOM_ACTIONS)
+if(EXISTS "${FM_INCLUDE_DIR}/libfm/fm-actions.h")
+    target_compile_definitions(${LIBFM_QT_LIBRARY_NAME} PRIVATE CUSTOM_ACTIONS)
 endif()
 
 install(EXPORT
@@ -107,9 +94,9 @@
 target_link_libraries(${LIBFM_QT_LIBRARY_NAME}
     Qt5::Widgets
     Qt5::X11Extras
-    ${LIBFM_LIBRARIES}
-    ${LIBMENUCACHE_LIBRARIES}
-    ${SYSTEM_LIBS_LIBRARIES}
+    ${FM_LIBRARIES}
+    ${MENUCACHE_LIBRARIES}
+    ${XCB_LIBRARIES}
 )
 
 # set libtool soname
@@ -119,9 +106,20 @@
 )
 
 target_include_directories(${LIBFM_QT_LIBRARY_NAME}
-    PRIVATE "${LIB_XCB_INDLUDE_DIRS}"
     PRIVATE "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
-    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
+    PUBLIC
+        "${FM_INCLUDE_DIRS}"
+        "${FM_INCLUDE_DIR}/libfm" # to workaround incorrect #include in fm-actions.
+        "${MENUCACHE_INCLUDE_DIRS}"
+        "${XCB_INCLUDE_DIRS}"
+    INTERFACE
+        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
+        "$<BUILD_INTERFACE:${LIBFM_QT_INTREE_INCLUDE_DIR}>"
+)
+
+target_compile_definitions(${LIBFM_QT_LIBRARY_NAME}
+    PRIVATE "LIBFM_QT_DATA_DIR=\"${LIBFM_QT_DATA_DIR}\""
+    PUBLIC "QT_NO_KEYWORDS"
 )
 
 install(FILES
@@ -130,25 +128,31 @@
     COMPONENT Devel
 )
 
+file(GLOB libfm_HS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
 # install include header files (FIXME: can we make this cleaner? should dir name be versioned?)
-install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/"
+install(FILES ${libfm_HS}
     DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libfm-qt"
     COMPONENT Devel
-    FILES_MATCHING PATTERN "*.h"
 )
 
 generate_export_header(${LIBFM_QT_LIBRARY_NAME}
     EXPORT_MACRO_NAME LIBFM_QT_API
 )
 
+# InTree build
+file(COPY ${libfm_HS} ${CMAKE_CURRENT_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}_export.h
+    DESTINATION "${LIBFM_QT_INTREE_INCLUDE_DIR}/libfm-qt"
+)
+
+
 configure_package_config_file(
     "${PROJECT_SOURCE_DIR}/cmake/fm-qt-config.cmake.in"
-    "${PROJECT_BINARY_DIR}/install/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
+    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
     INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
 )
 
 install(FILES
-    "${PROJECT_BINARY_DIR}/install/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
+    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
     DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
     COMPONENT Devel
 )
@@ -188,11 +192,5 @@
     )
 endif()
 
-install(FILES
-    ${QM_FILES}
-    DESTINATION "${CMAKE_INSTALL_DATADIR}/libfm-qt/translations"
-    COMPONENT Runtime
-)
-
 # prevent the generated files from being deleted during make cleaner
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)
