=== debian/changelog ===
libfm-qt (0.11.2-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.2
  * Added new symbols
  * Removed build dependencies:
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools
  * Added build dependency libfm-dev to libfm-qt-dev
  * Removed models.patch, applied upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 01:32:58 +0100

libfm-qt (0.11.1-3) unstable; urgency=medium

  * Backported a upstream fix for Icon Emblem Support.
  * Added needed Symbols 

 -- Alf Gaida <agaida@siduction.org>  Thu, 20 Oct 2016 18:00:38 +0200

libfm-qt (0.11.1-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Syncded debian foo with experimental
  * Bump compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped Standards to 3.9.8, no changes needed
  * Bump minimum version debhelper (>= 10)
  * Bump minimum version libqt5xdg-dev (>= 2.0.0)
  * Re-introduce build dependency liblxqt0-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added Recommends libfm-qt-l10n
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds 
  * Hard override translation control
  * Use DCMAKE_BUILD_TYPE=RelWithDebInfo
  * Fixed copyright Format field, using https
  * Fixed copyrights, removed obsolete files
  * Fixed libfm-qt3.install, don't install translations

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 01:07:52 +0200
