=== debian/control ===
--- 
+++ 
@@ -6,21 +6,19 @@
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 10),
                libfm-dev (>= 1.2.0),
                libglib2.0-dev,
+               libkf5windowsystem-dev,
                libmenu-cache-dev,
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 1.3.0),
                libx11-dev,
-               pkg-config,
-               qtbase5-private-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.7
+               lxqt-build-tools (>= 0.3.0),
+               qtbase5-private-dev
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git -b debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libfm-qt.git -b debian/sid
 Homepage: https://github.com/lxde/libfm-qt
 
 Package: libfm-qt3
@@ -35,6 +33,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libfm-qt-l10n
 Pre-Depends: ${misc:Pre-Depends}
 Description: file management support for pcmanfm-qt
  Libfm-Qt is a companion library providing components to build desktop file
@@ -48,6 +47,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
+         libfm-dev (>= 1.2.0),
          libfm-qt3 (= ${binary:Version})
 Description: file management support library for pcmanfm-qt (development files)
  Libfm-Qt is a companion library providing components to build desktop file
