=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10),
+               libexif-dev,
                libfm-dev (>= 1.2.0),
                libglib2.0-dev,
                libkf5windowsystem-dev,
@@ -14,11 +15,11 @@
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.3.0),
+               lxqt-build-tools (>= 0.4.0),
                qtbase5-private-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libfm-qt.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libfm-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libfm-qt.git
 Homepage: https://github.com/lxde/libfm-qt
 
 Package: libfm-qt3
@@ -32,7 +33,8 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         shared-mime-info
 Recommends: libfm-qt-l10n
 Pre-Depends: ${misc:Pre-Depends}
 Description: file management support for pcmanfm-qt
@@ -47,8 +49,10 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
+         libexif-dev,
          libfm-dev (>= 1.2.0),
-         libfm-qt3 (= ${binary:Version})
+         libfm-qt3 (= ${binary:Version}),
+         libmenu-cache-dev
 Description: file management support library for pcmanfm-qt (development files)
  Libfm-Qt is a companion library providing components to build desktop file
  managers.
