=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libfm-qt/releases .*/libfm-qt-([\d\.]+).tar.xz
